using static System.Console;

int liczbaJablek = 12;
decimal cenaJablka = 0.35M;

WriteLine(
    format: "{0} jabłek kosztuje {1:C}",
    arg0: liczbaJablek,
    arg1: cenaJablka * liczbaJablek);

string sformatowane = string.Format(
    format: "{0} jabłek kosztuje {1:C}",
    arg0: liczbaJablek,
    arg1: cenaJablka * liczbaJablek);

//ZapiszDoPliku(sformatowane); // Zapisuje ciąg znaków do pliku

WriteLine($"{liczbaJablek} jabłek kosztuje {cenaJablka * liczbaJablek:C}");

string tekstJablka = "Apples";
int ileJablek = 1234;

string tekstBanany = "Bananas";
int ileBananow = 56789;

WriteLine(
    format: "{0,-10} {1,6}",
    arg0: "Nazwa",
    arg1: "Liczba");

WriteLine(
    format: "{0,-10} {1,6:N0}",
    arg0: tekstJablka,
    arg1: ileJablek);

WriteLine(
    format: "{0,-10} {1,6:N0}",
    arg0: tekstBanany,
    arg1: ileBananow);

Write("Wpisz swoje imię i naciśnij ENTER: ");
string? imie = ReadLine();

Write("Podaj swój wiek i nciścnij ENTER: ");
string? wiek = ReadLine();

WriteLine(
  $"Cześć {imie}, dobrze wyglądasz jak na {wiek} lat.");

Write("Naciśnij dowolną kombinację klawiszy: ");
ConsoleKeyInfo klawisz = ReadKey();
WriteLine();
WriteLine("Klawisz: {0}, Znak: {1}, Modyfiktory: {2}",
  arg0: klawisz.Key,
  arg1: klawisz.KeyChar,
  arg2: klawisz.Modifiers);
